Webrick will not start on OSX 10.6.4. Snow Leopard

I cannot get Rails to play nice with my MacPorts installed MySQL5:

$ script/server
=> Booting WEBrick
=> Rails 2.3.8 application starting on http://0.0.0.0:3000
/opt/local/lib/ruby/1.8/yaml.rb:133:in `load': syntax error on line
24, col 2: ` socket: /opt/local/var/run/mysql5/
mysqld.sock' (ArgumentError)
  from /opt/local/lib/ruby/1.8/yaml.rb:133:in `load'
  from /opt/local/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:
902:in `database_configuration'
  from /opt/local/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:
437:in `initialize_database'
  from /opt/local/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:
141:in `process'
  from /opt/local/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:
113:in `send'
  from /opt/local/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:
113:in `run'
  from /Users/jasper/rails/rails_space/config/environment.rb:9
  from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:
31:in `gem_original_require'
  from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:
31:in `require'
  from /opt/local/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/
active_support/dependencies.rb:156:in `require'
  from /opt/local/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/
active_support/dependencies.rb:521:in `new_constants_in'
  from /opt/local/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/
active_support/dependencies.rb:156:in `require'
  from /opt/local/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/commands/
server.rb:84
  from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:
31:in `gem_original_require'
  from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:
31:in `require'
  from script/server:3

How to remedy this... The socket is in /opt/local/var/run/mysql5/
mysqld.sock:

me$ pwd
/opt/local/var/run/mysql5
me$ ls
mysqld.sock

so what is the issue?

I cannot get Rails to play nice with my MacPorts installed MySQL5:

$ script/server
=> Booting WEBrick
=> Rails 2.3.8 application starting onhttp://0.0.0.0:3000
/opt/local/lib/ruby/1.8/yaml.rb:133:in `load': syntax error on line
24, col 2: ` socket: /opt/local/var/run/mysql5/
mysqld.sock' (ArgumentError)

It's saying that there is a syntax error in your database.yml file

Fred